﻿using System;
using System.Text;
using UWPValidationDemo.Commands;
using UWPValidationDemo.Models;
using Windows.UI.Popups;

namespace UWPValidationDemo.ViewModels
{
public class MainViewModel
{
    private RelayCommand _registerCommand;

    private User _user;

    public MainViewModel()
    {
        _user = new User();
    }

    public RelayCommand RegisterCommand
    {
        get
        {
            _registerCommand = _registerCommand ?? new RelayCommand(async () =>
            {
                StringBuilder sb = new StringBuilder();
                sb.AppendLine($"邮箱：{User.Email}");
                sb.AppendLine($"密码：{User.Password}");
                sb.AppendLine($"年龄：{User.Age}");
                sb.AppendLine($"地址：{User.Address}");
                await new MessageDialog(sb.ToString()).ShowAsync();
            });
            return _registerCommand;
        }
    }

    public User User
    {
        get
        {
            return _user;
        }
    }
}
}